//
//  IFSPersonFilterController.swift
//  IFS
//
//  Created by Tiank on 2018/7/25.
//  Copyright © 2018年 上海勾芒信息科技有限公司. All rights reserved.
//

import UIKit
import RxCocoa
import RxSwift

class IFSPersonFilterController: UIViewController {
    /// RxSwift自动释放
    let disposeBag = DisposeBag()
    var isShowPerson:Bool = false
    @IBOutlet weak var sureButton: UIButton!
    @IBOutlet weak var cancleButton: UIButton!
    @IBOutlet weak var showSwitch: UISwitch!
    var completeBlock:((Bool) -> ()) = {_ in}
    override func viewDidLoad() {
        super.viewDidLoad()
        bindAction()
    }
    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        showSwitch.isOn = isShowPerson
    }
    func bindAction(){
        cancleButton.rx.controlEvent(UIControlEvents.touchUpInside).subscribe(onNext: {[weak self] (event) in
            self?.dismiss(animated: true, completion: nil)
        }).disposed(by: disposeBag)
        
        sureButton.rx.controlEvent(UIControlEvents.touchUpInside).subscribe(onNext: {[weak self] (event) in
           self?.completeBlock(self?.showSwitch.isOn ?? false)
           self?.dismiss(animated: true, completion: nil)
        }).disposed(by: disposeBag)
    }
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
}
